Project ID.
Digital Distribution Hub (1.0.0)
Digital Distribution Hub is a new Xsolla solution that aims to connect digital and cash based payments via push payments technology and e-commerce.
This reference combines API endpoints for two Xsolla products: In-Game Store and Pay Station. There are two base URLs:
https://store.xsolla.com/apifor the Common, Catalog, Cart, and Order groups.https://ps.xsolla.comfor the Notifications group.
API endpoints in the Catalog group don’t require authorization.
To work with operations in the Cart and Order groups, you need to generate a token via Create user token.
This reference shows a design of a future API and not a fully functioning interface. Currently, you can try only Catalog and Notifications groups endpoints. If you’d like to share your feedback, please email us at techdoc@xsolla.com.
Number of the element from which the list is generated (the count starts from 0).
The list of additional fields. These fields will be in the response if you send them in your request. Available fields media_list, order, long_description.
Country to calculate regional prices and restrictions for catalog. Two-letter uppercase country code per ISO 3166-1 alpha-2. If you do not specify the country explicitly, it will be calculated based on user's IP address.
- Mock serverhttps://xsolla.redocly.app/_mock/api/digital-distribution-hub/v2/project/{project_id}/items/game
- https://store.xsolla.com/api/v2/project/{project_id}/items/game
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://xsolla.redocly.app/_mock/api/digital-distribution-hub/v2/project/44056/items/game?limit=50&offset=0&locale=en&additional_fields%5B%5D=string&country=US' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'The list of games was successfully received.
{ "items": [ { … }, { … } ] }
Request
Gets a games list from the specified group for building a catalog.
Number of the element from which the list is generated (the count starts from 0).
The list of additional fields. These fields will be in the response if you send them in your request. Available fields media_list, order, long_description.
Country to calculate regional prices and restrictions for catalog. Two-letter uppercase country code per ISO 3166-1 alpha-2. If you do not specify the country explicitly, it will be calculated based on user's IP address.
- Mock serverhttps://xsolla.redocly.app/_mock/api/digital-distribution-hub/v2/project/{project_id}/items/game/group/{external_id}
- https://store.xsolla.com/api/v2/project/{project_id}/items/game/group/{external_id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://xsolla.redocly.app/_mock/api/digital-distribution-hub/v2/project/44056/items/game/group/{external_id}?limit=50&offset=0&locale=en&additional_fields%5B%5D=string&country=US' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'The list of games was successfully received.
{ "items": [ { … }, { … } ] }
The list of additional fields. These fields will be in the response if you send them in your request. Available fields media_list, order, long_description.
Country to calculate regional prices and restrictions for catalog. Two-letter uppercase country code per ISO 3166-1 alpha-2. If you do not specify the country explicitly, it will be calculated based on user's IP address.
- Mock serverhttps://xsolla.redocly.app/_mock/api/digital-distribution-hub/v2/project/{project_id}/items/game/sku/{item_sku}
- https://store.xsolla.com/api/v2/project/{project_id}/items/game/sku/{item_sku}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://xsolla.redocly.app/_mock/api/digital-distribution-hub/v2/project/44056/items/game/sku/booster_mega_1?locale=en&additional_fields%5B%5D=string&country=US' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Game was successfully received.
Unique item ID. The SKU may only contain lowercase Latin alphanumeric characters, periods, dashes, and underscores.
Groups the item belongs to.
List of attributes and their values corresponding to the Game.
Image URL.
{ "sku": "game_1", "name": "Game name", "groups": [ { … }, { … } ], "type": "unit", "unit_type": "game", "description": "Game description", "image_url": "https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png", "attributes": { "$ref": "#/components/examples/client-attribute-game/Catalog_value" }, "unit_items": [ { … }, { … } ] }